/* CSS Document */

#title{
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    color: #4CAF50;
}
.song_frame{
    border: 3px dotted #4CAF50;
    margin: 2em auto;
    border-radius: 20px;
    max-width: 800px;
    background: #fff;
}
.icon {
     /* width: 32px;
      height: 32px;*/
      border-radius: 8px; /* 角丸の例 */
}
.song_frame{
    text-align: center;
}
.song_title {
    border-radius: 20px 20px 0 0;
    text-align: center;
    font-size: 22px;
    padding: 0.5em;
    background: #4CAF50;
    color: #fff;
    font-weight: bold;
    margin-bottom: 1em;
}
button {
  background-color: #87CEEB; /* スカイブルー */
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 25px; /* 角丸 */
  font-size: 16px;
  cursor: pointer;
  transition: background-color 0.3s ease; /* ホバーアニメーション */
}

button:hover {
  background-color: #1E90FF; /* ホバーカラー */
}

.toggleLyrics{
    margin: 1em;
}
.lyricText{
    width: 100%;
}
.songwriter{
    display: block;
    font-size: 14px;
    text-align: right;
    padding: 1em 1em 0;
    border-bottom: 1px solid #aaa;
    width: 90%;
    margin: 0 auto;
}
.lyrics{
    display: inline-block;
    text-align: left;
    line-height: 1.5em;
}
.hidden {
    display: none;
    opacity: 0;
}

.fade-in {
    display: block;
    animation: fadeIn 1s ease-in-out;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
